Bug 167223 - kernel: hde: cdrom_pc_intr: The drive appears confused (ireason = 0x01)
kernel: hde: cdrom_pc_intr: The drive appears confused (ireason = 0x01)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 13:46 EDT by Michel Ludwig
Modified: 2015-01-04 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Ludwig 2005-08-31 13:46:10 EDT
+++ This bug was initially created as a clone of Bug #154933 +++ 
 
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 
Firefox/1.0.2 Fedora/1.0.2-1.3.1 
 
Description of problem: 
After upgrading to kernel-2.6.11-1.14_FC3 from kernel-2.6.10-1.770_FC3, I'm 
periodically seeing messages about my CD drive (note, the drive is just idle 
when these occur): 
 
Apr 14 16:26:34 mmouse kernel:     ide2: BM-DMA at 0x9800-0x9807, BIOS 
settings: hde:pio, hdf:pio 
Apr 14 16:26:34 mmouse kernel: hde: CD-RW BCE5224IM, ATAPI CD/DVD-ROM drive 
Apr 14 16:26:36 mmouse kernel: hde: ATAPI 52X CD-ROM CD-R/RW drive, 2048kB 
Cache 
Apr 14 16:27:09 mmouse fstab-sync[4838]: added mount point /media/cdrecorder 
for /dev/hde 
Apr 14 16:30:51 mmouse kernel: hde: cdrom_pc_intr: The drive appears confused 
(ireason = 0x01) 
Apr 14 16:58:28 mmouse kernel: hde: packet command error: status=0xd0 { Busy } 
Apr 14 17:00:34 mmouse kernel: hde: cdrom_pc_intr: The drive appears confused 
(ireason = 0x01) 
Apr 14 17:05:18 mmouse kernel: hde: cdrom_pc_intr: The drive appears confused 
(ireason = 0x01) 
Apr 14 17:09:56 mmouse kernel: hde: cdrom_pc_intr: The drive appears confused 
(ireason = 0x01) 
 
The drive appears to function normally. 
 
Version-Release number of selected component (if applicable): 
kernel-2.6.11-1.14_FC3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Boot kernel-2.6.11-1.14_FC3 
2. Wait about 15 minutes 
3. Messages occur 
   
 
Actual Results:  cdrom_pc_intr: The drive appears confused (ireason = 0x01) 
 
Expected Results:  No spurious messages 
 
Additional info: 
 
lspci is reporting: 
 
00:0c.0 Unknown mass storage controller: Promise Technology, Inc. PDC20262 
(Fast 
Trak66/Ultra66) (rev 01) 
 
00:0f.1 IDE interface: VIA Technologies, Inc. 
VT82C586A/B/VT82C686/A/B/VT823x/A/ 
C PIPC Bus Master IDE (rev 06) 
 
I believe the drive reporting the problem is on 00:0c.0. 
 
-- Additional comment from davej@redhat.com on 2005-07-15 14:27 EST -- 
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which 
may contain a fix for your problem.   Please update to this new kernel, and 
report whether or not it fixes your problem. 
 
If you have updated to Fedora Core 4 since this bug was opened, and the 
problem 
still occurs with the latest updates for that release, please change the 
version 
field of this bug to 'fc4'. 
 
Thank you. 
 
-- Additional comment from mmoneta@optonline.net on 2005-07-16 16:07 EST -- 
I updated the kernel to 2.6.12-1.1372_FC3, and I am no longer seeing this 
message.
Comment 1 Michel Ludwig 2005-08-31 13:54:59 EDT
Problem still persists on FC4 with kernel 2.6.12-1.1447_FC4 on an Athlon  
system with nforce chipset. After this message occurs the two cdrom drives 
that are connected to the IDE controller don't react anymore, i.e. all 
programs that want to access the cdrom drives hang.  
 
the IDE controller should be: 
00:09.0 IDE interface: nVidia Corporation nForce IDE (rev c3) (prog-if 8a 
[Master SecP PriP]) 
        Subsystem: Unknown device 1631:01bc 
        Flags: bus master, 66Mhz, fast devsel, latency 0 
        I/O ports at e000 [size=16] 
        Capabilities: [44] Power Management version 2 
 
and the two cdrom drives: 
hdc: HL-DT-STDVD-ROM GDR8161B, ATAPI CD/DVD-ROM drive 
hdd: _NEC CD-RW NR-9100A, ATAPI CD/DVD-ROM drive 
 
Please note that the problem only occurs on hdd. 
 
 
Comment 2 Dave Jones 2005-09-30 03:24:08 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Michel Ludwig 2005-10-01 07:48:24 EDT
The problem still persists on 2.6.13-1.1526_FC4.
Comment 4 Dave Jones 2005-11-10 17:00:20 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 5 Michel Ludwig 2005-11-26 05:40:49 EST
Still occurs on 2.6.14-1.1637_FC4 :-( 
Comment 6 Igor Pesando 2005-12-13 06:33:43 EST
It occurs on 2.6.14-1.1644_FC4
The message is slightly different 

Dec 13 12:34:12 to45xl kernel: hdd: lost interrupt
Dec 13 12:34:12 to45xl kernel: cdrom_pc_intr, write: dev hdd: flags =
REQ_STARTED REQ_PC REQ_FAILED REQ_QUIET
Dec 13 12:34:12 to45xl kernel: sector 0, nr/cnr 0/0
Dec 13 12:34:12 to45xl kernel: bio 00000000, biotail 00000000, buffer 00000000,
data 00000000, len 0
Dec 13 12:34:12 to45xl kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Dec 13 12:34:12 to45xl kernel: hdd: cdrom_pc_intr: The drive appears confused
(ireason = 0x02)
Comment 7 Dave Jones 2006-02-03 01:19:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 21:29:53 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.